Bug 1189222 - evince crashes on password protected PDFs
Summary: evince crashes on password protected PDFs
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: evince
Version: 21
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Marek Kašík
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-02-04 17:32 UTC by Viktor Ashirov
Modified: 2015-02-20 08:31 UTC (History)
1 user (show)

Fixed In Version: evince-3.14.1-9.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-20 08:31:26 UTC


Attachments (Terms of Use)
stacktrace (14.57 KB, text/plain)
2015-02-04 17:32 UTC, Viktor Ashirov
no flags Details
password protected pdf (13.44 KB, application/pdf)
2015-02-04 17:35 UTC, Viktor Ashirov
no flags Details


Links
System ID Priority Status Summary Last Updated
GNOME Bugzilla 744049 None None None Never

Description Viktor Ashirov 2015-02-04 17:32:19 UTC
Created attachment 988197 [details]
stacktrace

Description of problem:
When I try to open password protected PDF, evince crashes with core dump.

Version-Release number of selected component (if applicable):
evince-nautilus-3.14.1-8.fc21.x86_64
evince-3.14.1-8.fc21.x86_64
evince-libs-3.14.1-8.fc21.x86_64
evince-djvu-3.14.1-8.fc21.x86_64
evince-debuginfo-3.14.1-8.fc21.x86_64

How reproducible:
always

Steps to Reproduce:
1. Start evince
2. Open password protected PDF
3.

Actual results:
evince crashes

Expected results:
evince should not crash

Additional info:

Comment 1 Viktor Ashirov 2015-02-04 17:35:10 UTC
Created attachment 988198 [details]
password protected pdf

Password is "test".

Comment 2 Marek Kašík 2015-02-05 15:45:21 UTC
Hi Viktor,

thank you for the PDF document. It helped me to find the problem and prepare a patch for evince. I've filed an upstream version of this bug here: https://bugzilla.gnome.org/show_bug.cgi?id=744049.

Regards

Marek

Comment 3 Viktor Ashirov 2015-02-05 21:46:30 UTC
Hi Marek, 

thank you so much for the fix! 

I've built evince with your patch, it doesn't crash on my PDFs anymore.

Comment 4 Fedora Update System 2015-02-16 11:21:12 UTC
evince-3.14.1-9.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/evince-3.14.1-9.fc21

Comment 5 Fedora Update System 2015-02-17 08:07:26 UTC
Package evince-3.14.1-9.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing evince-3.14.1-9.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-2163/evince-3.14.1-9.fc21
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2015-02-20 08:31:26 UTC
evince-3.14.1-9.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.